RDKit: RDKit::AtomKekulizeException Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::AtomKekulizeException Class Reference

`#include <SanitException.h>`

Inheritance diagram for RDKit::AtomKekulizeException:

## Public Member Functions
| AtomKekulizeException (const char *msg, unsigned int atomIdx)
| AtomKekulizeException (const std::string &msg, unsigned int atomIdx)
| AtomKekulizeException (const AtomKekulizeException &other)
| ~AtomKekulizeException () noexcept override
MolSanitizeException * | copy () const override
std::string | getType () const override
Public Member Functions inherited from RDKit::AtomSanitizeException
| AtomSanitizeException (const char *msg, unsigned int atomIdx)
| AtomSanitizeException (const std::string &msg, unsigned int atomIdx)
| AtomSanitizeException (const AtomSanitizeException &other)
unsigned int | getAtomIdx () const
| ~AtomSanitizeException () noexcept override
MolSanitizeException * | copy () const override
std::string | getType () const override
Public Member Functions inherited from RDKit::MolSanitizeException
| MolSanitizeException (const char *msg)
| MolSanitizeException (std::string msg)
| MolSanitizeException (const MolSanitizeException &other)
const char * | what () const noexcept override
| ~MolSanitizeException () noexcept override

## Additional Inherited Members
Protected Attributes inherited from RDKit::AtomSanitizeException
unsigned int | d_atomIdx
Protected Attributes inherited from RDKit::MolSanitizeException
std::string | d_msg

## Detailed Description

Definition at line 81 of file SanitException.h.

## Constructor & Destructor Documentation

## ◆ AtomKekulizeException() [1/3]

RDKit::AtomKekulizeException::AtomKekulizeException | ( | const char * | msg,
|  | unsigned int | atomIdx )
| inline

Definition at line 84 of file SanitException.h.

References RDKit::AtomSanitizeException::AtomSanitizeException().

Referenced by AtomKekulizeException(), and copy().

## ◆ AtomKekulizeException() [2/3]

RDKit::AtomKekulizeException::AtomKekulizeException | ( | const std::string & | msg,
|  | unsigned int | atomIdx )
| inline

Definition at line 86 of file SanitException.h.

References RDKit::AtomSanitizeException::AtomSanitizeException().

## ◆ AtomKekulizeException() [3/3]

RDKit::AtomKekulizeException::AtomKekulizeException | ( | const AtomKekulizeException & | other | ) |
| inline

Definition at line 88 of file SanitException.h.

References AtomKekulizeException(), and RDKit::AtomSanitizeException::AtomSanitizeException().

## ◆ ~AtomKekulizeException()

RDKit::AtomKekulizeException::~AtomKekulizeException | ( |  | ) |
| inlineoverridenoexcept

Definition at line 90 of file SanitException.h.

## Member Function Documentation

## ◆ copy()

MolSanitizeException * RDKit::AtomKekulizeException::copy | ( |  | ) | const
| inlineoverridevirtual

Reimplemented from RDKit::MolSanitizeException.

Definition at line 91 of file SanitException.h.

References AtomKekulizeException().

## ◆ getType()

std::string RDKit::AtomKekulizeException::getType | ( |  | ) | const
| inlineoverridevirtual

Reimplemented from RDKit::MolSanitizeException.

Definition at line 94 of file SanitException.h.

The documentation for this class was generated from the following file:

- SanitException.h